<?php

namespace App\Http\Controllers;

use App\Good;
use App\Log;
use App\Trace;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Vinkla\Hashids\Facades\Hashids;

class HomeController extends Controller
{

    public function key(Request $request, $key)
    {
        $trace = Trace::query()->where('slug', $key)->first();
        if (!$trace) {
            echo '找不到该产品';
            die();
        }
        if (is_null($trace->look_time)) {
            $trace->look_time = Carbon::now();
        }

        $trace->look_count += 1;
        $trace->save();

        Log::create([
            'gid' => $trace->gid,
            'tid' => $trace->id,
            'ip' => $request->getClientIp()
        ]);

        $good = Good::find($trace->gid);


        $dealer = $trace->dealer;

        $templat = collect(Good::$templetOption)->where('id', $good->templet)->first()['value'] ?? 'key';
        return view("home.{$templat}", compact('good', 'trace'));
    }
}
