<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Good extends Model
{
    public $appends = ['trace'];
    public static $templetOption = [
        [
            'id' => 1,
            'name' => '绿豆模板',
            'value' => 'key'
        ],
        [
            'id' => 2,
            'name' => '玉米模板',
            'value' => 'yumi'
        ],
        [
            'id' => 3,
            'name' => '经销商模板',
            'value' => 'jingxiaoshang'
        ],
        [
            'id' => 4,
            'name' => '禾美乐',
            'value' => 'hemeile'
        ]
    ];

    public function getTraceAttribute()
    {
        return Trace::where('gid', $this->attributes['id'])->count();
    }
}
